Subject: Offline Message from Asma : I’m beyond disappointed with my last order #60077
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 25 Jun 2020 11:05:02 -0000

From: Asma  <[email-masked]>
Phone: 
Location: , Oman
URL: https://www.mumzworld.com/
Department: 

I’m beyond disappointed with my last order #600775111 with you guys I thought of giving you time due to the situation and you guys must be overwhelmed with amount of orders but it doesn’t give you the right to ignore my serval times inquiry about a missing item From the shipped package.
Not only that you issued two gift vouchers for items were not available one of them not processed at all.  

----
Zopim
https://www.zopim.com